<?php
// Author: hamidkag                           
// Website: http://www.vafa-forum.ir     
// Plugin: GDD Player   
// Plugin Download By: www.vafa-forum.ir
if(!defined("IN_MYBB"))
{
  die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}

function gddplayer_info() {
    return array(
        "name"            => "GDD Player Plugin",
        "description"    => "this plugin make a Video MtCode in your froum posts that play your Video in your Host, in your Froum & whith your Logo on Movie.",
        "website"        => "http://vafa-forum.ir",
        "author"        => "hamidkag",
        "authorsite"    => "http://www.vafadownload.ir",
        "version"        => "1.0",
        "compatibility" => "16*"
    );
}

$plugins->add_hook("parse_message", "gddplayer_run");

function gddplayer_activate() {
global $db, $mybb;
	$gddplayer_group = array(
		"gid" => "NULL",
		"name" => "gddplayer",
		"title" => 'GDD Player Settings',
		"description" => 'the Settings of GDD player Plugin is here.',
		"disporder" => "1",
		"isdefault" => "no",
	);
	$db->insert_query("settinggroups", $gddplayer_group);
	$gid = $db->insert_id();
	$gddplayer_setting_1 = array(
		"sid"			=> "NULL",
		"name"			=> "gddplayer_power",
		"title"			=> 'Enabled/Disabled Plugin',
		"description"	=> 'if you select yes the plugin is Enable in your forum.',
		"optionscode"	=> "yesno",
		"value"			=> '1',
		"disporder"		=> '1',
		"gid"			=> intval($gid),
	);
	$db->insert_query("settings", $gddplayer_setting_1);
	$gddplayer_setting_2 = array(
		"sid"			=> "NULL",
		"name"			=> "gddplayer_image",
		"title"			=> 'Enabled/Disabled Demo Images',
		"description"	=> 'if you select yes Demo Image on Video is Enable.then you must use this Mycode:<br>[GDD]A,B[/GDD]<br>A=Video Url<br>B=Demo Image Url<br>if you select no Mycode is:<br>[GDD]A[/GDD]',
		"optionscode"	=> "yesno",
		"value"			=> '0',
		"disporder"		=> '2',
		"gid"			=> intval($gid),
	);
	$db->insert_query("settings", $gddplayer_setting_2);
	$gddplayer_setting_3 = array(
		"sid"			=> "NULL",
		"name"			=> "gddplayer_size",
		"title"			=> 'Video Size',
		"description"	=> 'Please select your Video height & width.',
		"optionscode"	=> "select\n
1=135×240 Pixel
2=270×480 Pixel
3=350×530 Pixel
4=360×640 Pixel",
		"value"			=> '3',
		"disporder"		=> '3',
		"gid"			=> intval($gid),
	);
	$db->insert_query("settings", $gddplayer_setting_3);
	$gddplayer_setting_4 = array(
		"sid"			=> "NULL",
		"name"			=> "gddplayer_autoplay",
		"title"			=> 'Enabled/Disabled Autoplay',
		"description"	=> 'if you select yes the video will play automatically on reload the Page.',
		"optionscode"	=> "yesno",
		"value"			=> '0',
		"disporder"		=> '4',
		"gid"			=> intval($gid),
	);
	$db->insert_query("settings", $gddplayer_setting_4);
    rebuild_settings();
}

function gddplayer_deactivate() {
global $db, $mybb;
	$db->query("DELETE FROM ".TABLE_PREFIX."settinggroups WHERE name='gddplayer'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='gddplayer_power'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='gddplayer_image'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='gddplayer_size'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='gddplayer_autoplay'");
    rebuild_settings();
}

function gddplayer_run($content) {
global $db, $mybb;
$power = $mybb->settings['gddplayer_power'];
$images = $mybb->settings['gddplayer_image'];
$autoplay = $mybb->settings['gddplayer_autoplay'];
if ($power != "0" && $images == "0" && $autoplay =="0"){
if ($mybb->settings['gddplayer_size'] == 1){
	$content = preg_replace('/\[GDD](.*?)\[\/GDD\]/si', '<embed src="gdd/gddflvplayer.swf" flashvars="&autoplay=false&sound=70&buffer=4&vdo=$1&mylogo=gdd/logo.png" width="240" height="135" allowfullscreen="true" quality="best" wmode="transparent" allowscriptaccess="always" pluginspage="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash" />', $content);
	}
	else if ($mybb->settings['gddplayer_size'] == 2){
	$content = preg_replace('/\[GDD](.*?)\[\/GDD\]/si', '<embed src="gdd/gddflvplayer.swf" flashvars="&autoplay=false&sound=70&buffer=4&vdo=$1&mylogo=gdd/logo.png" width="480" height="270" allowfullscreen="true" quality="best" wmode="transparent" allowscriptaccess="always" pluginspage="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash" />', $content);
	}
	else if ($mybb->settings['gddplayer_size'] == 3){
	$content = preg_replace('/\[GDD](.*?)\[\/GDD\]/si', '<embed src="gdd/gddflvplayer.swf" flashvars="&autoplay=false&sound=70&buffer=4&vdo=$1&mylogo=gdd/logo.png" width="530" height="350" allowfullscreen="true" quality="best" wmode="transparent" allowscriptaccess="always" pluginspage="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash" />', $content);
	}
	else if ($mybb->settings['gddplayer_size'] == 4){
	$content = preg_replace('/\[GDD](.*?)\[\/GDD\]/si', '<embed src="gdd/gddflvplayer.swf" flashvars="&autoplay=false&sound=70&buffer=4&vdo=$1&mylogo=gdd/logo.png" width="640" height="360" allowfullscreen="true" quality="best" wmode="transparent" allowscriptaccess="always" pluginspage="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash" />', $content);
	}
	}
else if ($power != "0" && $images == "0" && $autoplay !="0"){
if ($mybb->settings['gddplayer_size'] == 1){
	$content = preg_replace('/\[GDD](.*?)\[\/GDD\]/si', '<embed src="gdd/gddflvplayer.swf" flashvars="&autoplay=true&sound=70&buffer=4&vdo=$1&mylogo=gdd/logo.png" width="240" height="135" allowfullscreen="true" quality="best" wmode="transparent" allowscriptaccess="always" pluginspage="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash" />', $content);
	}
	else if ($mybb->settings['gddplayer_size'] == 2){
	$content = preg_replace('/\[GDD](.*?)\[\/GDD\]/si', '<embed src="gdd/gddflvplayer.swf" flashvars="&autoplay=true&sound=70&buffer=4&vdo=$1&mylogo=gdd/logo.png" width="480" height="270" allowfullscreen="true" quality="best" wmode="transparent" allowscriptaccess="always" pluginspage="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash" />', $content);
	}
	else if ($mybb->settings['gddplayer_size'] == 3){
	$content = preg_replace('/\[GDD](.*?)\[\/GDD\]/si', '<embed src="gdd/gddflvplayer.swf" flashvars="&autoplay=true&sound=70&buffer=4&vdo=$1&mylogo=gdd/logo.png" width="530" height="350" allowfullscreen="true" quality="best" wmode="transparent" allowscriptaccess="always" pluginspage="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash" />', $content);
	}
	else if ($mybb->settings['gddplayer_size'] == 4){
	$content = preg_replace('/\[GDD](.*?)\[\/GDD\]/si', '<embed src="gdd/gddflvplayer.swf" flashvars="&autoplay=true&sound=70&buffer=4&vdo=$1&mylogo=gdd/logo.png" width="640" height="360" allowfullscreen="true" quality="best" wmode="transparent" allowscriptaccess="always" pluginspage="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash" />', $content);
	}
	}
else if ($power != "0" && $images != "0" && $autoplay =="0"){
if ($mybb->settings['gddplayer_size'] == 1){
	$content = preg_replace('/\[GDD](.*?),(.*?)\[\/GDD\]/si', '<embed src="gdd/gddflvplayer.swf" flashvars="&autoplay=false&sound=70&buffer=4&vdo=$1&splashscreen=$2&mylogo=gdd/logo.png" width="240" height="135" allowfullscreen="true" quality="best" wmode="transparent" allowscriptaccess="always" pluginspage="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash" />', $content);
	}
	else if ($mybb->settings['gddplayer_size'] == 2){
	$content = preg_replace('/\[GDD](.*?),(.*?)\[\/GDD\]/si', '<embed src="gdd/gddflvplayer.swf" flashvars="&autoplay=false&sound=70&buffer=4&vdo=$1&splashscreen=$2&mylogo=gdd/logo.png" width="480" height="270" allowfullscreen="true" quality="best" wmode="transparent" allowscriptaccess="always" pluginspage="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash" />', $content);
	}
	else if ($mybb->settings['gddplayer_size'] == 3){
	$content = preg_replace('/\[GDD](.*?),(.*?)\[\/GDD\]/si', '<embed src="gdd/gddflvplayer.swf" flashvars="&autoplay=false&sound=70&buffer=4&vdo=$1&splashscreen=$2&mylogo=gdd/logo.png" width="530" height="350" allowfullscreen="true" quality="best" wmode="transparent" allowscriptaccess="always" pluginspage="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash" />', $content);
	}
	else if ($mybb->settings['gddplayer_size'] == 4){
	$content = preg_replace('/\[GDD](.*?),(.*?)\[\/GDD\]/si', '<embed src="gdd/gddflvplayer.swf" flashvars="&autoplay=false&sound=70&buffer=4&vdo=$1&splashscreen=$2&mylogo=gdd/logo.png" width="640" height="360" allowfullscreen="true" quality="best" wmode="transparent" allowscriptaccess="always" pluginspage="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash" />', $content);
	}
	}
else if ($power != "0" && $images != "0" && $autoplay !="0"){
if ($mybb->settings['gddplayer_size'] == 1){
	$content = preg_replace('/\[GDD](.*?),(.*?)\[\/GDD\]/si', '<embed src="gdd/gddflvplayer.swf" flashvars="&autoplay=true&sound=70&buffer=4&vdo=$1&splashscreen=$2&mylogo=gdd/logo.png" width="240" height="135" allowfullscreen="true" quality="best" wmode="transparent" allowscriptaccess="always" pluginspage="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash" />', $content);
	}
	else if ($mybb->settings['gddplayer_size'] == 2){
	$content = preg_replace('/\[GDD](.*?),(.*?)\[\/GDD\]/si', '<embed src="gdd/gddflvplayer.swf" flashvars="&autoplay=true&sound=70&buffer=4&vdo=$1&splashscreen=$2&mylogo=gdd/logo.png" width="480" height="270" allowfullscreen="true" quality="best" wmode="transparent" allowscriptaccess="always" pluginspage="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash" />', $content);
	}
	else if ($mybb->settings['gddplayer_size'] == 3){
	$content = preg_replace('/\[GDD](.*?),(.*?)\[\/GDD\]/si', '<embed src="gdd/gddflvplayer.swf" flashvars="&autoplay=true&sound=70&buffer=4&vdo=$1&splashscreen=$2&mylogo=gdd/logo.png" width="530" height="350" allowfullscreen="true" quality="best" wmode="transparent" allowscriptaccess="always" pluginspage="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash" />', $content);
	}
	else if ($mybb->settings['gddplayer_size'] == 4){
	$content = preg_replace('/\[GDD](.*?),(.*?)\[\/GDD\]/si', '<embed src="gdd/gddflvplayer.swf" flashvars="&autoplay=true&sound=70&buffer=4&vdo=$1&splashscreen=$2&mylogo=gdd/logo.png" width="640" height="360" allowfullscreen="true" quality="best" wmode="transparent" allowscriptaccess="always" pluginspage="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash" />', $content);
	}
	}
	
	return $content;
}
?>